LoginController

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.permissions.client
Interface LoginController

public interface LoginController

Title: OpenSwing Framework

Description: Login controller.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`boolean` | `authenticateUser(java.util.Map loginInfo)` Method called by LoginDialog to authenticate the user.
`int` | `getMaxAttempts()`
`void` | `loginSuccessful(java.util.Map loginInfo)` Method called by LoginDialog to notify the sucessful login.
`void` | `stopApplication()` Method used to destroy application if login is failed.

Method Detail

### getMaxAttempts

    public int getMaxAttempts()

  Returns:
    maximum number of failed login

### stopApplication

    public void stopApplication()

  Method used to destroy application if login is failed.

### authenticateUser

    public boolean authenticateUser(java.util.Map loginInfo)
                             throws java.lang.Exception

  Method called by LoginDialog to authenticate the user.

  Parameters:
    `loginInfo` - login information, like username, password, ...
  Returns:
    `true` if user is correcly authenticated, `false` otherwise NOTE: if this class is used in combination with LoginDialog and CryptUtils classes, than Map argument contains an entry named "password" with associated value tpye byte[] (encrypted password) otherwise Map argument contains an entry named "password" with associated value type String (clear password)
  Throws:
    `java.lang.Exception`

### loginSuccessful

    public void loginSuccessful(java.util.Map loginInfo)

  Method called by LoginDialog to notify the sucessful login.

  Parameters:
    `loginInfo` - login information, like username, password, ... NOTE: if this class is used in combination with LoginDialog and CryptUtils classes, than Map argument contains an entry named "password" with associated value tpye byte[] (encrypted password) otherwise Map argument contains an entry named "password" with associated value type String (clear password)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD